[morty] nis, opencv: Update getVar/setVar syntax

Submitted by Athanasios Oikonomou on Jan. 19, 2018, 10:13 p.m. | Patch ID: 147418

Details

Message ID 1516400023-14815-1-git-send-email-athoik@gmail.com
State Rejected, archived
Delegated to: Armin Kuster
Headers show

Commit Message

Athanasios Oikonomou Jan. 19, 2018, 10:13 p.m.
From: Richard Purdie <richard.purdie@linuxfoundation.org>

The deprecated APIs are removed from bitbake, update two old style references
in meta-oe/meta-networking.

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>
Signed-off-by: Athanasios Oikonomou <athoik@gmail.com>
---
 meta-networking/recipes-support/nis/nis.inc  | 2 +-
 meta-oe/recipes-support/opencv/opencv_3.1.bb | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

Patch hide | download patch | download mbox

diff --git a/meta-networking/recipes-support/nis/nis.inc b/meta-networking/recipes-support/nis/nis.inc
index c4aa10e..e027a1c 100644
--- a/meta-networking/recipes-support/nis/nis.inc
+++ b/meta-networking/recipes-support/nis/nis.inc
@@ -25,7 +25,7 @@  do_install() {
 # so force the package to be skipped here (this will cause a
 # 'nothing provides' error)
 python () {
-    os = bb.data.getVar("TARGET_OS", d, 1)
+    os = d.getVar("TARGET_OS", True)
     if os == "linux-uclibc":
         raise bb.parse.SkipPackage("NIS functionality requires rpcsvc/yp.h, uClibC does not provide this")
 }
diff --git a/meta-oe/recipes-support/opencv/opencv_3.1.bb b/meta-oe/recipes-support/opencv/opencv_3.1.bb
index 1bbb965..cf7fd62 100644
--- a/meta-oe/recipes-support/opencv/opencv_3.1.bb
+++ b/meta-oe/recipes-support/opencv/opencv_3.1.bb
@@ -108,7 +108,7 @@  python populate_packages_prepend () {
     for pkg in packages[1:]:
         if not pkg in blacklist and not pkg in metapkg_rdepends and not pkg.endswith('-dev') and not pkg.endswith('-dbg') and not pkg.endswith('-doc') and not pkg.endswith('-locale'):
             metapkg_rdepends.append(pkg)
-    bb.data.setVar('RDEPENDS_' + metapkg, ' '.join(metapkg_rdepends), d)
+    d.setVar('RDEPENDS_' + metapkg, ' '.join(metapkg_rdepends))
 
 }